umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
MySQLWriter Class Reference

`#include <mysqlwriter.h>`

Inheritance diagram for MySQLWriter:

## Public Member Functions
| MySQLWriter ()
virtual | ~MySQLWriter ()
Uml::ProgrammingLanguage::Enum | language () const
QStringList | defaultDatatypes () const
void | printForeignKeyConstraints (QTextStream &sql, UMLClassifierListItemList constrList)
void | printCheckConstraints (QTextStream &sql, UMLClassifierListItemList constrList)
Public Member Functions inherited from SQLWriter
| SQLWriter ()
virtual | ~SQLWriter ()
virtual void | writeClass (UMLClassifier *c)
virtual QStringList | reservedKeywords () const
Public Member Functions inherited from SimpleCodeGenerator
| SimpleCodeGenerator (bool createDirHierarchyForPackages=true)
virtual | ~SimpleCodeGenerator ()
void | writeCodeToFile (UMLClassifierList &concepts)
void | writeCodeToFile ()
Public Member Functions inherited from CodeGenerator
| CodeGenerator ()
virtual | ~CodeGenerator ()
bool | addCodeDocument (CodeDocument *add_object)
bool | removeCodeDocument (CodeDocument *remove_object)
CodeDocumentList * | getCodeDocumentList ()
QString | getUniqueID (CodeDocument *codeDoc)
virtual void | saveToXMI (QXmlStreamWriter &writer)
CodeDocument * | findCodeDocumentByID (const QString &id)
void | setIncludeHeadings (bool i)
bool | includeHeadings () const
void | setHeadingFileDir (const QString &)
QString | headingFileDir () const
void | setForceDoc (bool f)
bool | forceDoc () const
void | setSectionCommentPolicy (CodeGenerationPolicy::WriteSectionCommentsPolicy f)
bool | forceSections () const
virtual QString | getHeadingFile (const QString &file)
QString | findFileName (CodeDocument *codeDocument)
virtual void | loadFromXMI (QDomElement &element)
CodeDocument * | findCodeDocumentByClassifier (UMLClassifier *classifier)
virtual bool | isReservedKeyword (const QString &keyword)
virtual void | createDefaultStereotypes ()

## Protected Member Functions
virtual void | printAutoIncrements (QTextStream &sql, UMLEntityAttributeList entAttList)
Protected Member Functions inherited from SQLWriter
virtual void | printEntityAttributes (QTextStream &sql, UMLEntityAttributeList entityAttributeList)
virtual void | printUniqueConstraints (QTextStream &sql, UMLClassifierListItemList constrList)
virtual void | printIndex (QTextStream &sql, UMLEntity *ent, UMLEntityAttributeList entAttList)
Protected Member Functions inherited from SimpleCodeGenerator
QString | findFileName (UMLPackage *classifier, const QString &ext)
QString | overwritableName (UMLPackage *classifier, const QString &name, const QString &ext)
bool | hasDefaultValueAttr (UMLClassifier *c)
bool | hasAbstractOps (UMLClassifier *c)
QString | indent ()
virtual void | initFromParentDocument ()
Protected Member Functions inherited from CodeGenerator
QString | overwritableName (const QString &name, const QString &extension)
bool | openFile (QFile &file, const QString &name)
void | writeListedCodeDocsToFile (CodeDocumentList *docs)
virtual void | finalizeRun ()

## Additional Inherited Members
Public Types inherited from CodeGenerator
enum | GenerationState { Generated , Failed , Skipped }
Public Slots inherited from SimpleCodeGenerator
virtual void | syncCodeToDocument ()
Public Slots inherited from CodeGenerator
virtual void | syncCodeToDocument ()
Signals inherited from CodeGenerator
void | codeGenerated (UMLClassifier *classifier, bool generated)
void | codeGenerated (UMLClassifier *classifier, CodeGenerator::GenerationState result)
void | showGeneratedFile (const QString &filename)
Static Public Member Functions inherited from CodeGenerator
static QString | cleanName (const QString &name)
static QString | formatDoc (const QString &text, const QString &linePrefix=QStringLiteral(" *"), int lineWidth=80)
static QString | formatFullDocBlock (const QString &text, const QString &blockHeader=QStringLiteral("/* "), const QString &blockFooter=QStringLiteral(" */"), const QString &linePrefix=QStringLiteral(" *"), int lineWidth=80)
static QString | formatSourceCode (const QString &code, const QString &indentation)
static void | findObjectsRelated (UMLClassifier *c, UMLPackageList &cList)
Protected Attributes inherited from SQLWriter
QStringList | m_enumsGenerated
UMLEntity * | m_pEntity
Protected Attributes inherited from SimpleCodeGenerator
QString | className_
QString | fileName_
QMap< UMLPackage *, QString > | m_fileMap
bool | m_createDirHierarchyForPackages
QString | m_indentation
int | m_indentLevel
QString | m_endl
Protected Attributes inherited from CodeGenerator
QHash< QString, CodeDocument * > | m_codeDocumentDictionary
bool | m_applyToAllRemaining
UMLDoc * | m_document

## Detailed Description

Class MySQLWriter is a sql code generator for MySQL. Create an instance of this class, and feed it a UMLClassifier when calling writeClass and it will generate a sql source file for that concept.

## Constructor & Destructor Documentation

## ◆ MySQLWriter()

MySQLWriter::MySQLWriter | ( |  | ) |

## ◆ ~MySQLWriter()

MySQLWriter::~MySQLWriter | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ defaultDatatypes()

QStringList MySQLWriter::defaultDatatypes | ( |  | ) | const
| virtual

Reimplement method from CodeGenerator.

Reimplemented from SQLWriter.

## ◆ language()

Uml::ProgrammingLanguage::Enum MySQLWriter::language | ( |  | ) | const
| virtual

Returns "MySQL".

Reimplemented from SQLWriter.

## ◆ printAutoIncrements()

void MySQLWriter::printAutoIncrements | ( | QTextStream & | sql,
|  | UMLEntityAttributeList | entAttList )
| protected virtual

Reimplement printAutoIncrements from Base Class for MySQL

Reimplemented from SQLWriter.

## ◆ printCheckConstraints()

void MySQLWriter::printCheckConstraints | ( | QTextStream & | sql,
|  | UMLClassifierListItemList | constrList )
| virtual

Reimplemented from Base Class to print warning.

Reimplemented from SQLWriter.

## ◆ printForeignKeyConstraints()

void MySQLWriter::printForeignKeyConstraints | ( | QTextStream & | sql,
|  | UMLClassifierListItemList | constrList )
| virtual

Reimplemented method from SQLWriter.

Reimplemented from SQLWriter.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/sql/mysqlwriter.h
- umbrello/codegenerators/sql/mysqlwriter.cpp